curl -X GET 'https://api.yativo.com/api/v1/business/events/all?per_page=20' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"id": "evt_01HX9KZMB3F7VNQP8R2WDGT4E5",
"event_type": "virtual_account.deposit",
"status": "delivered",
"webhook_url": "https://your-app.com/webhooks/yativo",
"created_at": "2026-04-01T10:00:00.000000Z"
},
{
"id": "evt_01HX9KZMB3F7VNQP8R2WDGT4E4",
"event_type": "customer.kyc.approved",
"status": "delivered",
"webhook_url": "https://your-app.com/webhooks/yativo",
"created_at": "2026-04-01T09:30:00.000000Z"
}
],
"pagination": {
"total": 58,
"per_page": 20,
"current_page": 1,
"last_page": 3,
"next_page_url": "https://api.yativo.com/api/v1/business/events/all?page=2",
"prev_page_url": null
}
}
Developer
Events
Retrieve all webhook events sent by Yativo
GET
/
business
/
events
/
all
curl -X GET 'https://api.yativo.com/api/v1/business/events/all?per_page=20' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"id": "evt_01HX9KZMB3F7VNQP8R2WDGT4E5",
"event_type": "virtual_account.deposit",
"status": "delivered",
"webhook_url": "https://your-app.com/webhooks/yativo",
"created_at": "2026-04-01T10:00:00.000000Z"
},
{
"id": "evt_01HX9KZMB3F7VNQP8R2WDGT4E4",
"event_type": "customer.kyc.approved",
"status": "delivered",
"webhook_url": "https://your-app.com/webhooks/yativo",
"created_at": "2026-04-01T09:30:00.000000Z"
}
],
"pagination": {
"total": 58,
"per_page": 20,
"current_page": 1,
"last_page": 3,
"next_page_url": "https://api.yativo.com/api/v1/business/events/all?page=2",
"prev_page_url": null
}
}
Returns a log of all events sent to your configured webhook endpoint.
GET /business/events/all
curl -X GET 'https://api.yativo.com/api/v1/business/events/all?per_page=20' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"id": "evt_01HX9KZMB3F7VNQP8R2WDGT4E5",
"event_type": "virtual_account.deposit",
"status": "delivered",
"webhook_url": "https://your-app.com/webhooks/yativo",
"created_at": "2026-04-01T10:00:00.000000Z"
},
{
"id": "evt_01HX9KZMB3F7VNQP8R2WDGT4E4",
"event_type": "customer.kyc.approved",
"status": "delivered",
"webhook_url": "https://your-app.com/webhooks/yativo",
"created_at": "2026-04-01T09:30:00.000000Z"
}
],
"pagination": {
"total": 58,
"per_page": 20,
"current_page": 1,
"last_page": 3,
"next_page_url": "https://api.yativo.com/api/v1/business/events/all?page=2",
"prev_page_url": null
}
}
Authorizations
Your API key (yativo_pk_...) from Developers → API Keys. Send together with X-Api-Secret.
Your API secret (yativo_sk_...), shown once when the key is created.
Query Parameters
Results per page.

